
QGIS Application - Bug report #1440

editing layer name broken - up to a segfault

2008-12-01 11:58 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11500

Description

1. Add, say, 3 shapefiles.

2. Highlight the 1st one.

3. Press F2 to change it's name - all is OK. You change the name, press Enter.

4. Highlight another one.

5. Press F2 to change it's name - nothing happens this time. Bad.

6. Right click it > change name - OK, but the first letter you enter does not pop in. Bad. Anyway - finish changing the name, Enter.

7. As F2 is not working anymore, right click another layer, start changing its name but don't confirm with Enter. Select another layer on the

list or press ESC instead. This way you will end up with many layers in the course of name change, which should not take place - pressing

ESC or selecting another layer while editing some layer's name should IMO cancel edits. Moreover, sometimes QGIS crashes in this

circumstances:

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fc98d40f710 (LWP 11157)]

0x00007fc98c30a2e9 in QStyledItemDelegate::eventFilter ()

   from /usr/lib/libQtGui.so.4

(gdb) bt

#0  0x00007fc98c30a2e9 in QStyledItemDelegate::eventFilter ()

   from /usr/lib/libQtGui.so.4

#3905  0x00007fc98c8d6658 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4

#3906  0x00007fc98bdfba2c in QApplicationPrivate::notify_helper ()

   from /usr/lib/libQtGui.so.4

#3907  0x00007fc98be04684 in QApplication::notify () from /usr/lib/libQtGui.so.4

#3908  0x00007fc98cca770e in [[QgsApplication]]::notify (this=0x7fff9554e2a0, 

    receiver=0x2ce0340, event=0x7fff9554cf90)

    at /home/shoofi/src/straight/qgis-trunk/src/core/qgsapplication.cpp:78

#3909  0x00007fc98c8d7381 in QCoreApplication::notifyInternal ()

   from /usr/lib/libQtCore.so.4

#3910  0x00007fc98be89fe4 in ?? () from /usr/lib/libQtGui.so.4

#3911  0x00007fc98be8c29e in ?? () from /usr/lib/libQtGui.so.4

#3912  0x00007fc98be66120 in QApplication::x11ProcessEvent ()

   from /usr/lib/libQtGui.so.4

#3913  0x00007fc98be8dc84 in ?? () from /usr/lib/libQtGui.so.4

#10 0x00007fc98873a78b in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0

#3914 0x00007fc98873df5d in ?? () from /usr/lib/libglib-2.0.so.0

#3915 0x00007fc98873e11b in g_main_context_iteration ()

   from /usr/lib/libglib-2.0.so.0

#3916 0x00007fc98c8ff70f in QEventDispatcherGlib::processEvents ()

   from /usr/lib/libQtCore.so.4

#3917 0x00007fc98be8d44f in ?? () from /usr/lib/libQtGui.so.4

#3918 0x00007fc98c8d5ca2 in QEventLoop::processEvents ()

   from /usr/lib/libQtCore.so.4

#3919 0x00007fc98c8d5e2d in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#3920 0x00007fc98c8d82dd in QCoreApplication::exec ()

   from /usr/lib/libQtCore.so.4

#3921 0x00000000004b5599 in main (argc=1, argv=0x7fff9554e998)

    at /home/shoofi/src/straight/qgis-trunk/src/app/main.cpp:683

Debian testing amd64, QGIS SVN trunk r9725, QT 4.4.3.

History

#1 - 2009-07-04 01:58 AM - Giovanni Manghi

Actually this seems to me that have been fixed, at least for what concerns the renaming layers trough the "F2" key.

Please give it a try and report back.

I tested QGis 1.2 under both Ubuntu 9.04 (trunk) and Windows (osgeo4w) and all seems fine. Now if you try renaming a layer with the F2 key, you can

exit/stop editing the name by just clicking another layer, pressing Enter or pressing ESC.

Still bugged is renaming trough

Right click --> rename

but there is another ticket open on this

https://trac.osgeo.org/qgis/ticket/1045

I'll drop this note there. Seems that could be easily fixed.

#2 - 2009-07-09 01:04 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing. Reopen if necessary.
